.DataGrid
{
	border:1px solid Silver;
	background-color:White;
	margin:0px auto;
	-webkit-box-shadow: 10px 10px 10px 0px Silver;
	-moz-box-shadow: 10px 10px 10px 0px Silver;
	box-shadow: 10px 10px 10px 0px Silver;
}

.DataGrid td, .DataGrid th, .DataGrid div, .DataGrid span 
{
	overflow: hidden;
	display:table-cell;
	font-weight:normal;
	text-align:left;
	white-space:nowrap;
}

.DataGrid .Button
{
	cursor:pointer;
	height:22px;
	min-width:22px;
	min-height:22px;
	min-width:22px;
	margin-right:4px;
}

.DataGridButtonTitle, .DataGridCell span, .DataGridCell button
{
	line-height:22px;
	float:left;
}

.DataGrid .MyButton
{
	font-size:100%;
}


.DataGrid .ButtonSearch
{
	border:1px solid Silver;
	height:20px;
	width:20px;
	margin-bottom:1px;
}
.DataGridFulltext
{
}

.tablet .DataGrid .Button
{
}

.DataGrid .Button button
{
	cursor:pointer;
	height:22px;
	width:100%;
	background:transparent;
	padding:0px;
	margin:0px;
	border:0px;
}
.tablet .DataGrid .Button button
{
	height:32px;
}

.DataGrid table
{
	border-collapse:collapse;
	empty-cells:show;
}

.DataGridHeader
{
	border-bottom:1px solid Gray;
	overflow:hidden;
	position:absolute;
}

.DataGridCaption, td.DataGridCaption
{
	width:20px;
	max-width:20px;
	min-width:20px;
	font-weight:bold;
	padding:1px;
	_padding:7px;
	color:White;
	background: linear-gradient(Khaki, LemonChiffon);
	background: -webkit-gradient(linear, left top, left bottom, from(Khaki), to(LemonChiffon));  
	background-color:Khaki;
	text-align:center;
	font-size:90%;
}

.vertical
{
	writing-mode: tb-rl;
}

.DataGridHeaderCell
{
	border-right:1px solid Gray;
	background: linear-gradient(Khaki, LemonChiffon);
	background: -webkit-gradient(linear, left top, left bottom, from(Khaki), to(LemonChiffon));  
	background-color:LemonChiffon;
	cursor:pointer;
	text-align:left;
	display:inline-block;
}

.DataGridRowsCountTotal
{
	border-right:1px solid Gray;
	border-bottom:1px solid Gray;
	border-bottom:0px;
	color:White;
	font-weight:Bold;
	background: linear-gradient(Silver, Gray);  
	background: -webkit-gradient(linear, left top, left bottom, from(Silver), to(Gray));  
	background-color:Gray;
	width:100%;
	text-align:center;
}

.DataGridCounterCell
{
	color:Gray;
	border-right:1px solid Gray;
	border-bottom:1px solid Gray;
	background: linear-gradient(White, WhiteSmoke);  
	background: -webkit-gradient(linear, left top, left bottom, from(White), to(WhiteSmoke));  
	background-color:WhiteSmoke;
	text-align:right;
	width:100%;
}

.DataGridCounterCell div, .DataGridCounterCellHover div
{
	width:200px;
	text-align:right;
}

.DataGridCounterCellHover
{
	color:WhiteSmoke;
	border-right:1px solid Gray;
	border-bottom:1px solid Gray;
	background: linear-gradient(Silver, Gray);  
	background: -webkit-gradient(linear, left top, left bottom, from(Silver), to(Gray));  
	background-color:Gray;
}

.DataGrid tbody
{
	background:White;
}

.DataGridCell
{
	border-right:1px dotted Silver;
	border-bottom:1px dotted Silver;
}

.DataGridRowHover, .DataGridRow:hover
{
	background:WhiteSmoke;
}

.DataGridRow
{
}

.DataGridRowRemoved
{
	/*color:Pink;*/
	filter: alpha(opacity=20);
	opacity: 0.2;
	-moz-opacity: 0.2;
	-khtml-opacity: 0.2;
}

.DataGridRowSelected
{
	background:Silver;
}

.DataGridTopPanel, .DataGridBottomPanel
{
	border-bottom:1px solid Gray;
	padding:3px;
	background: linear-gradient(White, WhiteSmoke);  
	background: -webkit-gradient(linear, left top, left bottom, from(White), to(WhiteSmoke));  
	background-color:WhiteSmoke;
}

.DataGridTopPanel span.MyButton, .DataGridBottomPanel span.MyButton, .DataGridBottomPanel input
{
	display:table-cell;
}

.DataGridFooter
{
	overflow:hidden;
	border-bottom:1px solid Gray;
	padding:3px;
	background: linear-gradient(White, WhiteSmoke);  
	background: -webkit-gradient(linear, left top, left bottom, from(White), to(WhiteSmoke));  
	background-color:WhiteSmoke;
	display:table-cell;
	vertical-align:middle;
	height:25px;
}

.DataGridFooter .TextBox
{
	height:17px;
	line-height:17px;
	margin:0px;
}

.DataGridFooterOthers
{
	padding-left:5px;
	padding-right:5px;
	margin-left:5px;
	border-left:1px solid Silver;
}

.DataGridPageInfo
{
	font-family: Verdana, Arial, 'Palatino Linotype';
  font-size: 12px;
  height: 22px;
	line-height:22px;
  text-align: center;
	overflow:hidden;
	margin-left:2px;
	margin-right:2px;
	float:left;
	_float:;
}

.DataGrid input
{
	background:transparent;
	width:24px;
	height:24px;
	line-height:22px;
	padding-bottom:0px;
	padding-top:0px;
}

.DataGridImage
{
	background:White;
	display:table-cell;
	text-align:center;
	vertical-align:middle;
	
	/*
	border:1px solid Silver;
	float:left;
	margin:3px;
	padding:0px;
	height:22px;
	width:22px;
	line-height: 20px;
	margin:0px auto;
	margin-left:2px;
	margin-right:2px;
	*/
}

.DataGridImageNo
{
	background:White;
	display:table-cell;
	text-align:center;
	vertical-align:middle;
}

.DataGridImage img
{
	text-align:center;
	vertical-align:middle;
	/*
	max-height:20px;
	max-width:20px;
  vertical-align:middle;
  */
}

.DataGridGroup
{
	overflow:hidden;
}

